Package org.eclipse.ecf.provider.comm.tcp

# Class AsynchMessage

java.lang.Object
org.eclipse.ecf.provider.comm.tcp.AsynchMessage

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SynchMessage`

public class AsynchMessage extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AsynchMessage()`
`AsynchMessage(Serializable data)`

## Method Summary

Modifier and Type
Method
Description
`Serializable`
`getData()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AsynchMessage

public AsynchMessage()

Since:
  4.3

### AsynchMessage

public AsynchMessage(Serializable data)

Parameters:
  `data` - data for message
Since:
  4.3

## Method Details

### getData

public Serializable getData()

Returns:
  Serializable data from this message
Since:
  4.3

### toString

public String toString()

Overrides:
  `toString` in class `Object`